import { Component, Input, OnInit, Output, EventEmitter } from '@angular/core';
import { User } from 'src/app/user/interfaces/user.interface';

@Component({
  selector: 'app-group-candidates',
  templateUrl: './group-candidates.component.html',
  styleUrls: ['./group-candidates.component.scss']
})
export class GroupCandidatesComponent implements OnInit {

  @Input() candidates: User[];
  @Output() accept = new EventEmitter<string>();
  @Output() decline = new EventEmitter<string>();

  constructor() { }

  ngOnInit(): void {

  }

  onAccept(id: string): void {
    this.accept.emit(id);
  }

  onDecline(id: string): void {
    this.decline.emit(id);
  }

}
