import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Group } from '../../interfaces/group.interface';

@Component({
  selector: 'app-group-list',
  templateUrl: './group-list.component.html',
  styleUrls: ['./group-list.component.scss']
})
export class GroupListComponent implements OnInit {

  @Input() set groups(groups) {
    if (groups) {
      this.groupsObject = groups.map(g => {
        g.isUserInGroup = !!g.users.find(u => u.id === localStorage.getItem('userId'));
        return g;
      });
    }
  }
  @Output() joinRequest = new EventEmitter<number>();
  @Output() show = new EventEmitter<number>();

  groupsObject: Group[];

  constructor() { }

  ngOnInit(): void {
    if (!this.groupsObject) {
      this.groupsObject = [];
    }
  }

  onShow(groupId: number): void {
    this.show.emit(groupId);
  }

  onJoinRequest(groupId: number): void {
    this.joinRequest.emit(groupId);
  }

}
