import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { User } from 'src/app/user/interfaces/user.interface';

@Component({
  selector: 'app-group-users',
  templateUrl: './group-users.component.html',
  styleUrls: ['./group-users.component.scss']
})
export class GroupUsersComponent implements OnInit {

  @Input() groupUsers: User[];
  @Input() adminId: string;
  @Output() deleteUser = new EventEmitter<string>();
  currentUserId: string;

  constructor() { }

  ngOnInit(): void {
    this.currentUserId = localStorage.getItem('userId');
  }

  onDeleteUser(id: string): void {
    this.deleteUser.emit(id);
  }

}
