import { Router } from '@angular/router';
import { GroupService } from './../../services/group.service';
import { GroupSaveModel } from './../../interfaces/group-save-model.interface';
import { Component, EventEmitter, OnInit, Output } from '@angular/core';
import { FormControl, FormGroup, Validators } from '@angular/forms';

@Component({
  selector: 'app-new-group',
  templateUrl: './new-group.component.html',
  styleUrls: ['./new-group.component.scss']
})
export class NewGroupComponent implements OnInit {

  groupForm: FormGroup;

  constructor(private groupService: GroupService, private router: Router) { }

  ngOnInit(): void {
    this.groupForm = this.createGroupForm();
  }

  createGroupForm(): FormGroup {
    return new FormGroup({
      name: new FormControl('', Validators.required),
      year: new FormControl(0, Validators.required)
    });
  }

  onAddGroup(): void {
    const group: GroupSaveModel = {
      name: this.groupForm.controls.name.value,
      year: this.groupForm.controls.year.value,
      adminId: localStorage.getItem('userId')
    };
    this.groupService.add(group).subscribe(() => {
      this.router.navigateByUrl('/group');
    });
  }

}
