import { SubjectModule } from './../subject/subject.module';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { GroupMainComponent } from './components/group-main/group-main.component';
import { GroupListComponent } from './components/group-list/group-list.component';
import { GroupEditComponent } from './components/group-edit/group-edit.component';
import {MatTabsModule} from '@angular/material/tabs';
import { GroupCandidatesComponent } from './components/group-candidates/group-candidates.component';
import { GroupUsersComponent } from './components/group-users/group-users.component';
import { NewGroupComponent } from './components/new-group/new-group.component';
import { MatTableModule } from '@angular/material/table';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { SubjectRoutingModule } from '../subject/subject-routing.module';
import { ReactiveFormsModule } from '@angular/forms';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { MatButtonModule } from '@angular/material/button';
import { GroupRoutingModule } from './group-routing.module';



@NgModule({
  declarations: [GroupMainComponent, GroupListComponent, GroupEditComponent, GroupCandidatesComponent, GroupUsersComponent, NewGroupComponent],
  imports: [
    CommonModule,
    MatTabsModule,
    MatTableModule,
    MatInputModule,
    MatFormFieldModule,
    GroupRoutingModule,
    ReactiveFormsModule,
    MatCheckboxModule,
    MatButtonModule,
    SubjectModule
  ]
})
export class GroupModule { }
