import { JoinRequest } from './../interfaces/join-request.interface';
import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { User } from 'src/app/user/interfaces/user.interface';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class GroupCandidateService {

  constructor(private http: HttpClient) { }

  getList(groupId: number): Observable<User[]> {
    return this.http.get<User[]>(`${environment.host}${environment.apiEndpoints.groupCandidates.getList}/${groupId}`);
  }

  joinRequest(groupId: number): Observable<void> {
    const joinRequest: JoinRequest = {
      groupId,
      userId: localStorage.getItem('userId')
    };
    return this.http.post<void>(environment.host + environment.apiEndpoints.groupCandidates.joinRequest, joinRequest);
  }

  accept(groupId: number, userId: string): Observable<void> {
    return this.http.get<void>(`${environment.host}${environment.apiEndpoints.groupCandidates.accept}/${groupId}/${userId}`);
  }

  decline(groupId: number, userId: string): Observable<void> {
    return this.http.delete<void>(`${environment.host}${environment.apiEndpoints.groupCandidates.decline}/${groupId}/${userId}`);
  }
}
