import { SubjectDeleteRequest } from './../../interfaces/subject-delete-request.interface';
import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-subject-delete-request-list',
  templateUrl: './subject-delete-request-list.component.html',
  styleUrls: ['./subject-delete-request-list.component.scss']
})
export class SubjectDeleteRequestListComponent implements OnInit {

  @Input() subjectDeleteRequests: SubjectDeleteRequest[];
  @Output() approveDeletion = new EventEmitter<number>();
  @Output() cancelDeletion = new EventEmitter<number>();

  constructor() { }

  ngOnInit(): void {
  }

  onApproveDeletion(deleteRequestId: number): void {
    this.approveDeletion.emit(deleteRequestId);
  }

  onCancelDeletion(deleteRequestId: number): void {
    this.cancelDeletion.emit(deleteRequestId);
  }

}
