import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import { Subject } from '../../interfaces/subject.interface';

@Component({
  selector: 'app-subject-list',
  templateUrl: './subject-list.component.html',
  styleUrls: ['./subject-list.component.scss']
})
export class ListComponent implements OnInit {

  @Input() subjects: Subject[];
  @Input() userId: string;
  @Input() adminId: string;
  @Output() deleteRequest = new EventEmitter<number>();
  @Output() deleteSubject = new EventEmitter<number>();
  @Output() addNewSubject = new EventEmitter<void>();
  @Output() editSubject = new EventEmitter<number>();
  @Output() unlockSubject = new EventEmitter<number>();
  displayedColumns: string[];

  constructor() { }

  ngOnInit(): void {
    this.displayedColumns = ['name'];
  }

  onAddNew(): void {
    this.addNewSubject.emit();
  }

  onDelete(id: number) {
    this.deleteSubject.emit(id);
  }

  onDeleteRequest(id: number) {
    this.deleteRequest.emit(id);
  }

  onEdit(id: number): void {
    this.editSubject.emit(id);
  }

  onUnlock(id: number): void {
    this.unlockSubject.emit(id);
  }

}
