import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { SubjectDeleteRequest } from '../interfaces/subject-delete-request.interface';
import { environment } from 'src/environments/environment';

@Injectable({
  providedIn: 'root'
})
export class SubjectDeleteRequestService {

  constructor(private http: HttpClient) { }

  add(subjectId: number): Observable<void> {
    return this.http.post<void>(`${environment.host + environment.apiEndpoints.deleteRequests.add}`, {subjectId});
  }

  approveDeletion(id: number): Observable<void> {
    return this.http.post<void>(`${environment.host + environment.apiEndpoints.deleteRequests.approve}`, {id});
  }

  cancelDeletion(id: number): Observable<void> {
    return this.http.delete<void>(`${environment.host + environment.apiEndpoints.deleteRequests.cancel}/${id}`);
  }

  getListByGroupId(groupId: number): Observable<SubjectDeleteRequest[]> {
    return this.http.get<SubjectDeleteRequest[]>(`${environment.host + environment.apiEndpoints.deleteRequests.getListByGroupId}/${groupId}`);
  }
}
