import { SubjectRoutingModule } from './subject-routing.module';
import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SubjectMainComponent } from './components/subject-main/subject-main.component';
import { ListComponent as SubjectListComponent } from './components/subject-list/subject-list.component';
import { MatTableModule } from '@angular/material/table';
import { SubjectEditComponent } from './components/subject-edit/subject-edit.component';
import { MatInputModule } from '@angular/material/input';
import { MatFormFieldModule } from '@angular/material/form-field';
import { MatButtonModule } from '@angular/material/button';
import { MatCheckboxModule } from '@angular/material/checkbox';
import { ReactiveFormsModule } from '@angular/forms';
import {MatDatepickerModule} from '@angular/material/datepicker';
import { SubjectDeleteRequestListComponent } from './components/subject-delete-request-list/subject-delete-request-list.component';



@NgModule({
  declarations: [SubjectMainComponent, SubjectListComponent, SubjectEditComponent, SubjectDeleteRequestListComponent],
  imports: [
    CommonModule,
    MatTableModule,
    MatInputModule,
    MatFormFieldModule,
    SubjectRoutingModule,
    ReactiveFormsModule,
    MatCheckboxModule,
    MatButtonModule,
    MatDatepickerModule
  ],
  exports: [
    SubjectMainComponent, SubjectListComponent, SubjectEditComponent, SubjectDeleteRequestListComponent
  ]
})
export class SubjectModule { }
