import { Router } from '@angular/router';
import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-base',
  templateUrl: './base.component.html',
  styleUrls: ['./base.component.scss']
})
export class BaseComponent implements OnInit {

  userName: string;
  fullName: string;

  constructor(private router: Router) { }

  ngOnInit(): void {
    this.userName = localStorage.getItem('userName');
    this.fullName = localStorage.getItem('fullName');
  }

  onLogout(): void {
    localStorage.setItem('token', '');
    localStorage.setItem('userId', '');
    localStorage.setItem('userName', '');
    localStorage.setItem('fullName', '');
    this.router.navigateByUrl('/');
  }

}
