import { environment } from './../../../environments/environment';
import { User } from './../interfaces/user.interface';
import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Auth } from '../interfaces/auth.interface';

@Injectable({
  providedIn: 'root'
})
export class UserService {

  constructor(private http: HttpClient) { }

  register(user: User): Observable<void> {
    return this.http.post<void>(environment.host + environment.apiEndpoints.users.register, user);
  }

  login(user: User): Observable<Auth> {
    return this.http.post<Auth>(environment.host + environment.apiEndpoints.users.login, user);
  }

}
